--
-- Event do przyczepy D-50 by maciusboss1
-- Event by maciusboss1
-- Data: 27.07.2011 r.
-- Zakaz przerabiania i brania do swoich modeli
-- Zapraszam na www.lsmodss.pl

ChangeToolsEvent = {};
ChangeToolsEvent_mt = Class(ChangeToolsEvent, Event);

InitEventClass(ChangeToolsEvent, "ChangeToolsEvent");

function ChangeToolsEvent:emptyNew()
    local self = Event:new(ChangeToolsEvent_mt);
    self.className="ChangeToolsEvent";
    return self;
end;

function ChangeToolsEvent:new(vehicle, toolsState)
    local self = ChangeToolsEvent:emptyNew()
    self.vehicle = vehicle;
	self.toolsState = toolsState;
    return self;
end;

function ChangeToolsEvent:readStream(streamId, connection)
    local id = streamReadInt32(streamId);
	self.toolsState = streamReadBool(streamId);
    self.vehicle = networkGetObject(id);
    self:run(connection);
end;

function ChangeToolsEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.vehicle));
	streamWriteBool(streamId, self.toolsState);
end;

function ChangeToolsEvent:run(connection)   
	self.vehicle:changeTools(self.toolsState, true);
    if not connection:getIsServer() then
        g_server:broadcastEvent(ChangeToolsEvent:new(self.vehicle, self.toolsState), nil, connection, self.vehicle);
    end;
end;

function ChangeToolsEvent.sendEvent(vehicle, toolsState, noEventSend)
	if noEventSend == nil or noEventSend == false then
		if g_server ~= nil then
			g_server:broadcastEvent(ChangeToolsEvent:new(vehicle, toolsState), nil, nil, vehicle);
		else
			g_client:getServerConnection():sendEvent(ChangeToolsEvent:new(vehicle, toolsState));
		end;
	end;
end;


ZamontujPlandeka2Event = {};
ZamontujPlandeka2Event_mt = Class(ZamontujPlandeka2Event, Event);

InitEventClass(ZamontujPlandeka2Event, "ZamontujPlandeka2Event");

function ZamontujPlandeka2Event:emptyNew()
    local self = Event:new(ChangeToolsEvent_mt);
    self.className="ZamontujPlandeka2Event";
    return self;
end;

function ZamontujPlandeka2Event:new(vehicle, plandekaState)
    local self = ZamontujPlandeka2Event:emptyNew()
    self.vehicle = vehicle;
	self.plandekaState = plandekaState;
    return self;
end;

function ZamontujPlandeka2Event:readStream(streamId, connection)
    local id = streamReadInt32(streamId);
	self.plandekaState = streamReadBool(streamId);
    self.vehicle = networkGetObject(id);
    self:run(connection);
end;

function ZamontujPlandeka2Event:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.vehicle));
	streamWriteBool(streamId, self.plandekaState);
end;

function ZamontujPlandeka2Event:run(connection)
	self.vehicle:zamontujPlandeka2(self.plandekaState, true);
    if not connection:getIsServer() then
        g_server:broadcastEvent(ZamontujPlandeka2Event:new(self.vehicle, self.plandekaState), nil, connection, self.vehicle);
    end;
end;

function ZamontujPlandeka2Event.sendEvent(vehicle, plandekaState, noEventSend)
	if noEventSend == nil or noEventSend == false then
		if g_server ~= nil then
			g_server:broadcastEvent(ZamontujPlandeka2Event:new(vehicle, plandekaState), nil, nil, vehicle);
		else
			g_client:getServerConnection():sendEvent(ZamontujPlandeka2Event:new(vehicle, plandekaState));
		end;
	end;
end;

